import { ResourceModel, ResourceModelConfig } from '@bryntum/scheduler/scheduler.lite.umd.js';

type AppResourceModelConfig = ResourceModelConfig & {
    desc: string
    eventType: string
    eventColor: string
}

export default class AppResourceModel extends ResourceModel {

    static get $name(): string {
        return 'AppResourceModel';
    }

    static get fields() : object[] {
        return [
            { name : 'role' },
            { name: 'age' },
            { name: 'name' }
        ];
    }

    public name: string
    public role: string
    public age: string

    constructor(config: Partial<AppResourceModelConfig>) {
        super(config);
    }

}
